summaryrefslogtreecommitdiffstats
path: root/maven/projects
diff options
context:
space:
mode:
authorMark Raynsford <[email protected]>2014-07-11 19:09:32 +0000
committerMark Raynsford <[email protected]>2014-07-11 19:09:32 +0000
commit6c2d8d425df5436663f85a5cf0a5396ae3de7d6f (patch)
treeb3fc7345e4494517327832306b8b4317a2050228 /maven/projects
parentc386cf285bfaf797c6779189c09e42d68e43b102 (diff)
Add jogl-main, nativewindow-main, newt-main - frontends for the atomics
packages that allow for pulling in all platform natives easily. Add test suite. Bug: 1023
Diffstat (limited to 'maven/projects')
-rw-r--r--maven/projects/jogl-main/atomics1
-rw-r--r--maven/projects/jogl-main/main-jar1
-rw-r--r--maven/projects/jogl-main/natives1
-rwxr-xr-xmaven/projects/jogl-main/pom.sh80
-rw-r--r--maven/projects/jogl-main/source-zip1
-rw-r--r--maven/projects/nativewindow-main/atomics1
-rw-r--r--maven/projects/nativewindow-main/main-jar1
-rw-r--r--maven/projects/nativewindow-main/natives1
-rwxr-xr-xmaven/projects/nativewindow-main/pom.sh80
-rw-r--r--maven/projects/nativewindow-main/source-zip1
-rwxr-xr-xmaven/projects/nativewindow/pom.sh2
-rw-r--r--maven/projects/newt-main/atomics1
-rw-r--r--maven/projects/newt-main/main-jar1
-rw-r--r--maven/projects/newt-main/natives1
-rwxr-xr-xmaven/projects/newt-main/pom.sh93
-rw-r--r--maven/projects/newt-main/source-zip1
-rwxr-xr-xmaven/projects/newt/pom.sh2
17 files changed, 267 insertions, 2 deletions
diff --git a/maven/projects/jogl-main/atomics b/maven/projects/jogl-main/atomics
new file mode 100644
index 0000000..8b13789
--- /dev/null
+++ b/maven/projects/jogl-main/atomics
@@ -0,0 +1 @@
+
diff --git a/maven/projects/jogl-main/main-jar b/maven/projects/jogl-main/main-jar
new file mode 100644
index 0000000..421376d
--- /dev/null
+++ b/maven/projects/jogl-main/main-jar
@@ -0,0 +1 @@
+dummy
diff --git a/maven/projects/jogl-main/natives b/maven/projects/jogl-main/natives
new file mode 100644
index 0000000..621e94f
--- /dev/null
+++ b/maven/projects/jogl-main/natives
@@ -0,0 +1 @@
+none
diff --git a/maven/projects/jogl-main/pom.sh b/maven/projects/jogl-main/pom.sh
new file mode 100755
index 0000000..10e42d7
--- /dev/null
+++ b/maven/projects/jogl-main/pom.sh
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+if [ $# -lt 2 ]
+then
+ echo "usage: version platforms+" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+PLATFORMS="$@"
+
+cat <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<project
+ xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+
+ <!-- -->
+ <!-- Auto generated by jogl-main.pom.sh, do not edit directly! -->
+ <!-- -->
+
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>org.jogamp.jogl</groupId>
+ <artifactId>jogl-main</artifactId>
+ <version>${VERSION}</version>
+ <packaging>jar</packaging>
+ <name>JOGL atomics</name>
+ <description>Java™ Binding for the OpenGL® API (Atomics frontend)</description>
+ <url>http://jogamp.org/jogl/www/</url>
+
+ <!-- -->
+ <!-- Explicitly depend on jogl, and all of its native binary jars. -->
+ <!-- -->
+
+ <dependencies>
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>jogl</artifactId>
+ <version>\${project.version}</version>
+ </dependency>
+
+EOF
+
+for BACKEND in osx win x11
+do
+ cat <<EOF
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>jogl</artifactId>
+ <version>\${project.version}</version>
+ <classifier>os-${BACKEND}</classifier>
+ </dependency>
+EOF
+done
+
+echo
+
+for PLATFORM in ${PLATFORMS}
+do
+ cat <<EOF
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>jogl</artifactId>
+ <version>\${project.version}</version>
+ <classifier>natives-${PLATFORM}</classifier>
+ </dependency>
+EOF
+done
+
+cat <<EOF
+ </dependencies>
+
+EOF
+
+cat ../jogl/pom.in || exit 1
+cat <<EOF
+</project>
+EOF
diff --git a/maven/projects/jogl-main/source-zip b/maven/projects/jogl-main/source-zip
new file mode 100644
index 0000000..d405da9
--- /dev/null
+++ b/maven/projects/jogl-main/source-zip
@@ -0,0 +1 @@
+dummy-src
diff --git a/maven/projects/nativewindow-main/atomics b/maven/projects/nativewindow-main/atomics
new file mode 100644
index 0000000..8b13789
--- /dev/null
+++ b/maven/projects/nativewindow-main/atomics
@@ -0,0 +1 @@
+
diff --git a/maven/projects/nativewindow-main/main-jar b/maven/projects/nativewindow-main/main-jar
new file mode 100644
index 0000000..421376d
--- /dev/null
+++ b/maven/projects/nativewindow-main/main-jar
@@ -0,0 +1 @@
+dummy
diff --git a/maven/projects/nativewindow-main/natives b/maven/projects/nativewindow-main/natives
new file mode 100644
index 0000000..621e94f
--- /dev/null
+++ b/maven/projects/nativewindow-main/natives
@@ -0,0 +1 @@
+none
diff --git a/maven/projects/nativewindow-main/pom.sh b/maven/projects/nativewindow-main/pom.sh
new file mode 100755
index 0000000..7dd1406
--- /dev/null
+++ b/maven/projects/nativewindow-main/pom.sh
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+if [ $# -lt 2 ]
+then
+ echo "usage: version platforms+" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+PLATFORMS="$@"
+
+cat <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<project
+ xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+
+ <!-- -->
+ <!-- Auto generated by nativewindow-main.pom.sh, do not edit directly! -->
+ <!-- -->
+
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>org.jogamp.jogl</groupId>
+ <artifactId>nativewindow-main</artifactId>
+ <version>${VERSION}</version>
+ <packaging>jar</packaging>
+ <name>Nativewindow (Atomics frontend)</name>
+ <description>Java™ Binding for the OpenGL® API (Nativewindow atomics frontend)</description>
+ <url>http://jogamp.org/jogl/www/</url>
+
+ <!-- -->
+ <!-- Explicitly depend on nativewindow, and all of its native binary jars. -->
+ <!-- -->
+
+ <dependencies>
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>nativewindow</artifactId>
+ <version>\${project.version}</version>
+ </dependency>
+
+EOF
+
+for BACKEND in win osx x11
+do
+ cat <<EOF
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>nativewindow</artifactId>
+ <version>\${project.version}</version>
+ <classifier>os-${BACKEND}</classifier>
+ </dependency>
+EOF
+done
+
+echo
+
+for PLATFORM in ${PLATFORMS}
+do
+ cat <<EOF
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>nativewindow</artifactId>
+ <version>\${project.version}</version>
+ <classifier>natives-${PLATFORM}</classifier>
+ </dependency>
+EOF
+done
+
+cat <<EOF
+ </dependencies>
+
+EOF
+
+cat ../jogl/pom.in || exit 1
+cat <<EOF
+</project>
+EOF
diff --git a/maven/projects/nativewindow-main/source-zip b/maven/projects/nativewindow-main/source-zip
new file mode 100644
index 0000000..d405da9
--- /dev/null
+++ b/maven/projects/nativewindow-main/source-zip
@@ -0,0 +1 @@
+dummy-src
diff --git a/maven/projects/nativewindow/pom.sh b/maven/projects/nativewindow/pom.sh
index e4ceda0..f91bf63 100755
--- a/maven/projects/nativewindow/pom.sh
+++ b/maven/projects/nativewindow/pom.sh
@@ -25,7 +25,7 @@ cat <<EOF
<artifactId>nativewindow</artifactId>
<version>${VERSION}</version>
<packaging>jar</packaging>
- <name>JOGL</name>
+ <name>Nativewindow</name>
<description>Java™ Binding for the OpenGL® API (Native window atomic jar files)</description>
<url>http://jogamp.org/jogl/www/</url>
diff --git a/maven/projects/newt-main/atomics b/maven/projects/newt-main/atomics
new file mode 100644
index 0000000..8b13789
--- /dev/null
+++ b/maven/projects/newt-main/atomics
@@ -0,0 +1 @@
+
diff --git a/maven/projects/newt-main/main-jar b/maven/projects/newt-main/main-jar
new file mode 100644
index 0000000..421376d
--- /dev/null
+++ b/maven/projects/newt-main/main-jar
@@ -0,0 +1 @@
+dummy
diff --git a/maven/projects/newt-main/natives b/maven/projects/newt-main/natives
new file mode 100644
index 0000000..621e94f
--- /dev/null
+++ b/maven/projects/newt-main/natives
@@ -0,0 +1 @@
+none
diff --git a/maven/projects/newt-main/pom.sh b/maven/projects/newt-main/pom.sh
new file mode 100755
index 0000000..02a5f9d
--- /dev/null
+++ b/maven/projects/newt-main/pom.sh
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+if [ $# -lt 2 ]
+then
+ echo "usage: version platforms+" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+PLATFORMS="$@"
+
+cat <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<project
+ xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+
+ <!-- -->
+ <!-- Auto generated by newt-main.pom.sh, do not edit directly! -->
+ <!-- -->
+
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>org.jogamp.jogl</groupId>
+ <artifactId>newt-main</artifactId>
+ <version>${VERSION}</version>
+ <packaging>jar</packaging>
+ <name>NEWT (Atomics frontend)</name>
+ <description>Java™ Binding for the OpenGL® API (NEWT atomics frontend)</description>
+ <url>http://jogamp.org/jogl/www/</url>
+
+ <!-- -->
+ <!-- Explicitly depend on newt, and all of its native binary jars. -->
+ <!-- -->
+
+ <dependencies>
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>newt</artifactId>
+ <version>\${project.version}</version>
+ </dependency>
+
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>newt</artifactId>
+ <version>\${project.version}</version>
+ <classifier>event</classifier>
+ </dependency>
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>newt</artifactId>
+ <version>\${project.version}</version>
+ <classifier>ogl</classifier>
+ </dependency>
+
+EOF
+
+for DRIVER in android bcm-old bcm-vc intelgdl kd linux osx win x11
+do
+ cat <<EOF
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>newt</artifactId>
+ <version>\${project.version}</version>
+ <classifier>driver-${DRIVER}</classifier>
+ </dependency>
+EOF
+done
+
+echo
+
+for PLATFORM in ${PLATFORMS}
+do
+ cat <<EOF
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>newt</artifactId>
+ <version>\${project.version}</version>
+ <classifier>natives-${PLATFORM}</classifier>
+ </dependency>
+EOF
+done
+
+cat <<EOF
+ </dependencies>
+
+EOF
+
+cat ../jogl/pom.in || exit 1
+cat <<EOF
+</project>
+EOF
diff --git a/maven/projects/newt-main/source-zip b/maven/projects/newt-main/source-zip
new file mode 100644
index 0000000..d405da9
--- /dev/null
+++ b/maven/projects/newt-main/source-zip
@@ -0,0 +1 @@
+dummy-src
diff --git a/maven/projects/newt/pom.sh b/maven/projects/newt/pom.sh
index da45efc..7132b8e 100755
--- a/maven/projects/newt/pom.sh
+++ b/maven/projects/newt/pom.sh
@@ -25,7 +25,7 @@ cat <<EOF
<artifactId>newt</artifactId>
<version>${VERSION}</version>
<packaging>jar</packaging>
- <name>JOGL</name>
+ <name>NEWT</name>
<description>Java™ Binding for the OpenGL® API (NEWT atomic jar files)</description>
<url>http://jogamp.org/jogl/www/</url>